#
# spec file for package kolourpaint
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kolourpaint
Version:        16.12.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.12.2 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
# See bnc#717722 for license details
Summary:        Paint Program
License:        BSD-2-Clause and LGPL-2.1+ and GFDL-1.2+
Group:          Productivity/Graphics/Bitmap Editors
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  libkexiv2-devel
BuildRequires:  libksane-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
Provides:       kolourpaint5 = %{version}
Obsoletes:      kolourpaint5 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Paint program for KDE

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file org.kde.kolourpaint       RasterGraphics
  %fdupes -s %{buildroot}%{_datadir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_kf5_appstreamdir}
%{_kf5_applicationsdir}/org.kde.kolourpaint.desktop
%{_kf5_sharedir}/kolourpaint/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_bindir}/kolourpaint
%{_kf5_appstreamdir}/org.kde.kolourpaint.appdata.xml
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/*/
%{_kf5_iconsdir}/hicolor/*/apps/kolourpaint.*
%{_kf5_libdir}/libkolourpaint_lgpl.so*

%changelog
